Package net.shibboleth.idp.profile.impl

# Class ResolverTestUnfilteredPredicate

java.lang.Object
net.shibboleth.idp.profile.impl.ResolverTestUnfilteredPredicate

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`

public class ResolverTestUnfilteredPredicate extends Object implements Predicate<ProfileRequestContext>
Condition that returns the result of evaluating `ResolverTestRequest.getUnfiltered()`.

The condition evaluates false in any scenarios in which the relevant message does not exist.

Since:
  5.2.2

## Constructor Summary

Constructors
Constructor
Description
`ResolverTestUnfilteredPredicate()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Constructor Details

### ResolverTestUnfilteredPredicate

public ResolverTestUnfilteredPredicate()

## Method Details

### test

public boolean test(@Nullable ProfileRequestContext input)

Specified by:
  `test` in interface `Predicate<ProfileRequestContext>`